Name:		x11-font-util
Version:	1.3.3
Release:	%mkrel 1
Summary:	Xorg X11 font utilities
Group:		Development/X11
URL:		https://xorg.freedesktop.org
Source:		https://xorg.freedesktop.org/releases/individual/font/font-util-%{version}.tar.xz
License:	BSD

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%if !%bootstrap
Requires:	bdftopcf
%endif
Requires:	mkfontdir
Requires:	mkfontscale
Requires:	fonttosfnt
Requires:	fslsfonts
Requires:	fstobdf
Requires:	showfont
Requires:	xlsfonts

BuildRequires:	x11-util-macros >= 1.1.5

%description
Xorg X11 font utilities

%prep
%setup -q -n font-util-%{version}

%build
%configure	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--with-mapdir=%_datadir/fonts/util

%make_build

%install
%make_install

%files
%dir %_datadir/fonts/util
%{_bindir}/bdftruncate
%{_bindir}/ucs2any
%_datadir/fonts/util/*
%{_libdir}/pkgconfig/fontutil.pc
%{_datadir}/aclocal/fontutil.m4
%{_mandir}/man1/bdftruncate.*
%{_mandir}/man1/ucs2any.*





%changelog
* Thu Jul 21 2022 tv <tv> 1.3.3-1.mga9
+ Revision: 1869795
- 1.3.3

* Tue Mar 15 2022 umeabot <umeabot> 1.3.2-3.mga9
+ Revision: 1792649
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.3.2-2.mga8
+ Revision: 1530481
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Thu Aug 29 2019 tv <tv> 1.3.2-1.mga8
+ Revision: 1435014
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.3.1-3.mga7
+ Revision: 1301784
- Mageia 7 Mass Rebuild

* Fri Jan 22 2016 daviddavid <daviddavid> 1.3.1-2.mga6
+ Revision: 926406
- switch to %%configure2_5x to fix build

* Sat Aug 15 2015 tv <tv> 1.3.1-1.mga6
+ Revision: 864836
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-5.mga5
+ Revision: 747673
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-4.mga5
+ Revision: 690517
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.0-3.mga4
+ Revision: 520274
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 386369
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 01 2012 tv <tv> 1.3.0-1.mga3
+ Revision: 216325
- new release

* Thu Jan 13 2011 dmorgan <dmorgan> 1.2.0-3.mga1
+ Revision: 7952
- Fix BuildRequires

* Tue Jan 11 2011 dmorgan <dmorgan> 1.2.0-2.mga1
+ Revision: 5695
- Bump release
- Do not require bdftopcf for now

* Tue Jan 11 2011 dmorgan <dmorgan> 1.2.0-1.mga1
+ Revision: 5636
- imported package x11-font-util

